<?php
include 'TwoFactor.php';
include 'Base32.php';

$username = 'chris@baltimorephp.org';
$userkey = TwoFactor::generateKey();
$timestamp = TwoFactor::getTimestamp();

$secretKey = Base32::decode($userkey);                              // Decode it into binary
$currentPassword = TwoFactor::gettoken($secretKey, $timestamp);    // Get current secret
?>
<table>
    <tr>
        <td>Initialization Key:</td>
        <td><?php echo $userkey; ?></td>
    </tr>
    <tr>
        <td>Timestamp:</td>
        <td><?php echo $timestamp; ?></td>
    </tr>
    <tr>
        <td>Current Password:</td>
        <td><?php echo $currentPassword; ?></td>
    </tr>
    <tr>
        <td>Username:</td>
        <td><?php echo $username; ?> - <a href="/login.php?key=<?php echo $userkey; ?>&username=<?php echo $username; ?>">Test Login</a>
        </td>
    </tr>
</table>
<?php echo TwoFactor::getQrCode($username, $userkey); ?>